Bug 494164 - (perl-Test-Assertions) Review Request: perl-Test-Assertions - Simple set of building blocks for both unit and runtime testing
Review Request: perl-Test-Assertions - Simple set of building blocks for both...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 04:54 EDT by Iain Arnell
Modified: 2009-04-13 15:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.054-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 01:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-05 04:54:56 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Test-Assertions.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Test-Assertions-1.054-1.fc11.src.rpm
Description: 
Test::Assertions provides a convenient set of tools for constructing tests,
such as unit tests or run-time assertion checks (like C's ASSERT macro).
Unlike some of the Test:: modules available on CPAN, Test::Assertions is
not limited to unit test scripts; for example it can be used to check
output is as expected within a benchmarking script. When it is used for
unit tests, it generates output in the standard form for CPAN unit testing
(under Test::Harness).

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1277742
Comment 1 Chris Weyl 2009-04-06 02:21:10 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1277742

Spec looks sane, clean and consistent; license is correct (GPLv2);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
f2312245ee07f2a6e77eb415860350b7a319fc47 Test-Assertions-1.054.tar.gz
f2312245ee07f2a6e77eb415860350b7a319fc47 Test-Assertions-1.054.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Test-Assertions-1.054-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Test-Assertions-1.054-1.fc10.src.rpm
====> requires for perl-Test-Assertions-1.054-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Log::Trace)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-Test-Assertions-1.054-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Test-Assertions-1.054-1.fc10.noarch.rpm
perl(Test::Assertions) = 1.54
perl(Test::Assertions::TestScript) = 1.18
perl-Test-Assertions = 1.054-1.fc10
====> requires for perl-Test-Assertions-1.054-1.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(File::Basename)  
perl(Getopt::Long)  
perl(Log::Trace)  
perl(Test::Assertions)  
perl(strict)  
perl(vars) 

APPROVED
Comment 2 Iain Arnell 2009-04-06 04:45:09 EDT
New Package CVS Request
=======================
Package Name: perl-Test-Assertions
Short Description: Simple set of building blocks for both unit and runtime testing
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-06 23:30:55 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-07 00:34:51 EDT
perl-Test-Assertions-1.054-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Test-Assertions-1.054-1.fc10
Comment 5 Fedora Update System 2009-04-07 00:34:58 EDT
perl-Test-Assertions-1.054-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Test-Assertions-1.054-1.fc9
Comment 6 Iain Arnell 2009-04-07 01:15:33 EDT
Thanks for the reviews, Chris.  I forgot to mention in the other bug, but I did add the Test::Pod BR for Term-Size-Perl.
Comment 7 Fedora Update System 2009-04-13 15:33:20 EDT
perl-Test-Assertions-1.054-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-13 15:37:46 EDT
perl-Test-Assertions-1.054-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.